### Function Macro

# RB debug

#### Declaration [src]

    #define rb_debug (
      ...
    )

#### Description [src]

If the call site function or file name matches the current debug output settings, the message will be formatted and printed to standard error, including a timestamp, the thread ID, the file and function names, and the line number. A newline will be appended, so the format string shouldn’t include one.

This function is not directly available to language bindings.

#### Parameters

`...`

  Type: `-`

  Printf-style format string followed by any substitution values.